# Spec D2zAFScore
D2z computes a z-score of the inner product of kmer count vectors

Extends | AFScore
All Extended | AFScore
Defined in | <seqan/alignment_free.h>
Signature | `template <> struct AFScore<D2z>;`

## Member Function Overview

- `AFScore::AFScore(kmerSize, bgModelOrder[, verbose]);`
  Constructor

## Member Variable Overview

- `unsigned D2zAFScore::bgModelOrder`
  Order of the background model
- `unsigned D2zAFScore::kmerSize`
  Size of the kmers
- `bool D2zAFScore::verbose`
  `true` to enable verbose debug output.

## Detailed Description

D2z can be used for alignment-free sequence comparison. The algorithm differs from the original implementation by the way masked sequences are handled

### References

Kantorovitz, M. R.; Robinson, G. E., Sinha, S. A statistical method for alignment-free comparison of regulatory sequences. Bioinformatics, 2007.

## Member Functions Detail

### `AFScore::AFScore(kmerSize, bgModelOrder[, verbose]);`

Constructor

#### Parameters

`kmerSize` | Size of kmer, `unsigned`.
`bgModelOrder` | Order of the background Markov model, `unsigned`.
`verbose` | This option will report progress to standard output; `bool`, defaults to `false`.

#### Data Races

Thread safety unknown!

## Member Variables Detail

### `unsigned D2zAFScore::bgModelOrder`

Order of the background model

### `unsigned D2zAFScore::kmerSize`

Size of the kmers

### `bool D2zAFScore::verbose`

`true` to enable verbose debug output.

#### Dox Sources

    /*!
     * @class D2zAFScore D2zAFScore
     *
     * @extends AFScore
     *
     * @headerfile <seqan/alignment_free.h>
     *
     * @brief D2z computes a z-score of the inner product of kmer count vectors
     *
     * @signature template <> struct AFScore<D2z>;
     *
     * D2z can be used for alignment-free sequence comparison. The algorithm differs
     * from the original implementation by the way masked sequences are handled
     *
     * @section References
     *
     * Kantorovitz, M. R.; Robinson, G. E., Sinha, S. A statistical method for
     * alignment-free comparison of regulatory sequences. Bioinformatics, 2007.
     *
     * @fn D2zAFScore::AFScore
     *
     * @brief Constructor
     *
     * @signature AFScore::AFScore(kmerSize, bgModelOrder[, verbose]);
     *
     * @param[in] kmerSize Size of kmer, <tt>unsigned</tt>.
     * @param[in] bgModelOrder Order of the background Markov model,
     *                         <tt>unsigned</tt>.
     * @param[in] verbose This option will report progress to standard output;
     *                    <tt>bool</tt>, defaults to <tt>false</tt>.
     *
     * @var unsigned D2zAFScore::bgModelOrder;
     *
     * @brief Order of the background model
     *
     * @var unsigned D2zAFScore::kmerSize;
     *
     * @brief Size of the kmers
     *
     * @var bool D2zAFScore::verbose;
     *
     * @brief <tt>true</tt> to enable verbose debug output.
     */